cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Crossley <cross...@apache.org>
Subject Re: [Bug] Wrong version number if forrest is available
Date Thu, 30 Dec 2004 09:06:50 GMT
David Crossley wrote:
> Carsten Ziegeler wrote:
> > With the latest changes to the build system in trunk regarding forrest,
> > the version number of Cocoon is overwritten by a forrest installation.
> > 
> > In my build environment I have set FORREST_HOME to a 0.5 forrest 
> > installation and when building Cocoon, Cocoon uses this 0.5 as it's
> > own version number :(
> > 
> > Can we fix this please? (A workaround is to set FORREST_HOME to a
> > non existing path)
> 
> Drat, there is no way around that, other than for you to install
> forrest_06_branch for use with Cocoon trunk, or we remove forrest
> completely from the build.
> 
> I did do testing and fixed that issue, but forgot that people
> might still try to use the old forrest-0.5.1 against cocoon trunk.

Or we could tweak the cocoon build system to change
${version} to ${cocoon.version}

--David

Mime
View raw message